Package writer2latex.office

# Class MIMETypes

java.lang.Object
writer2latex.api.MIMETypes
writer2latex.office.MIMETypes

public final class MIMETypes extends MIMETypes

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BIBTEX_EXT`
`static final String`
`BMP_EXT`
`static final byte[]`
`BMP_SIG`
`static final String`
`CALC`
`static final String`
`CHART`
`static final String`
`DRAW`
`static final String`
`EMF_EXT`
`static final byte[]`
`EMF_SIG`
`static final String`
`EPS_EXT`
`static final byte[]`
`EPS_SIG`
`static final String`
`GIF_EXT`
`static final byte[]`
`GIF87_SIG`
`static final byte[]`
`GIF89_SIG`
`static final String`
`HTML5_EXT`
`static final String`
`IMPRESS`
`static final byte[]`
`JPEG_EXIF_SIG`
`static final String`
`JPEG_EXT`
`static final byte[]`
`JPEG_SIG`
`static final String`
`LATEX_EXT`
`static final String`
`MATH`
`static final String`
`ODF`
`static final String`
`ODP`
`static final String`
`ODS`
`static final String`
`ODT`
`static final String`
`PDF_EXT`
`static final String`
`PNG_EXT`
`static final byte[]`
`PNG_SIG`
`static final String`
`SVG_EXT`
`static final byte[]`
`SVG_SIG`
`static final String`
`SVM_EXT`
`static final byte[]`
`SVM_SIG`
`static final String`
`TIFF_EXT`
`static final byte[]`
`TIFF_SIG`
`static final String`
`WMF_EXT`
`static final byte[]`
`WMF_SIG`
`static final byte[]`
`WMF30_SIG`
`static final String`
`WRITER`
`static final String`
`XHTML_EXT`
`static final String`
`XHTML_MATHML_EXT`
`static final String`
`ZIP`
`static final byte[]`
`ZIP_SIG`

### Fields inherited from class writer2latex.api.MIMETypes

`BIBTEX, BMP, EMF, EPS, EPUB, EPUB3, GIF, HTML5, JPEG, LATEX, PDF, PNG, SVG, SVM, TEXT, TIFF, WMF, XHTML, XHTML_MATHML, XHTML11`

## Constructor Summary

Constructors
Constructor
Description
`MIMETypes()`

## Method Summary

Modifier and Type
Method
Description
`static final String`
`getFileExtension(String sMIME)`
`static final String`
`getMagicMIMEType(byte[] blob)`
`static boolean`
`isVectorFormat(String sMIME)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WRITER

public static final String WRITER

See Also:
  - Constant Field Values

### CALC

public static final String CALC

See Also:
  - Constant Field Values

### IMPRESS

public static final String IMPRESS

See Also:
  - Constant Field Values

### DRAW

public static final String DRAW

See Also:
  - Constant Field Values

### CHART

public static final String CHART

See Also:
  - Constant Field Values

### MATH

public static final String MATH

See Also:
  - Constant Field Values

### ODT

public static final String ODT

See Also:
  - Constant Field Values

### ODS

public static final String ODS

See Also:
  - Constant Field Values

### ODP

public static final String ODP

See Also:
  - Constant Field Values

### ODF

public static final String ODF

See Also:
  - Constant Field Values

### ZIP

public static final String ZIP

See Also:
  - Constant Field Values

### PNG_SIG

public static final byte[] PNG_SIG

### JPEG_SIG

public static final byte[] JPEG_SIG

### JPEG_EXIF_SIG

public static final byte[] JPEG_EXIF_SIG

### GIF87_SIG

public static final byte[] GIF87_SIG

### GIF89_SIG

public static final byte[] GIF89_SIG

### TIFF_SIG

public static final byte[] TIFF_SIG

### BMP_SIG

public static final byte[] BMP_SIG

### EMF_SIG

public static final byte[] EMF_SIG

### WMF_SIG

public static final byte[] WMF_SIG

### WMF30_SIG

public static final byte[] WMF30_SIG

### EPS_SIG

public static final byte[] EPS_SIG

### SVM_SIG

public static final byte[] SVM_SIG

### ZIP_SIG

public static final byte[] ZIP_SIG

### SVG_SIG

public static final byte[] SVG_SIG

### LATEX_EXT

public static final String LATEX_EXT

See Also:
  - Constant Field Values

### BIBTEX_EXT

public static final String BIBTEX_EXT

See Also:
  - Constant Field Values

### XHTML_EXT

public static final String XHTML_EXT

See Also:
  - Constant Field Values

### XHTML_MATHML_EXT

public static final String XHTML_MATHML_EXT

See Also:
  - Constant Field Values

### HTML5_EXT

public static final String HTML5_EXT

See Also:
  - Constant Field Values

### PNG_EXT

public static final String PNG_EXT

See Also:
  - Constant Field Values

### JPEG_EXT

public static final String JPEG_EXT

See Also:
  - Constant Field Values

### GIF_EXT

public static final String GIF_EXT

See Also:
  - Constant Field Values

### TIFF_EXT

public static final String TIFF_EXT

See Also:
  - Constant Field Values

### BMP_EXT

public static final String BMP_EXT

See Also:
  - Constant Field Values

### EMF_EXT

public static final String EMF_EXT

See Also:
  - Constant Field Values

### WMF_EXT

public static final String WMF_EXT

See Also:
  - Constant Field Values

### EPS_EXT

public static final String EPS_EXT

See Also:
  - Constant Field Values

### SVG_EXT

public static final String SVG_EXT

See Also:
  - Constant Field Values

### SVM_EXT

public static final String SVM_EXT

See Also:
  - Constant Field Values

### PDF_EXT

public static final String PDF_EXT

See Also:
  - Constant Field Values

## Constructor Details

### MIMETypes

public MIMETypes()

## Method Details

### getMagicMIMEType

public static final String getMagicMIMEType(byte[] blob)

### getFileExtension

public static final String getFileExtension(String sMIME)

### isVectorFormat

public static boolean isVectorFormat(String sMIME)